Subject: bug#33861: Problem building sources for guile-bash

From: Björn Höfling <[email-masked]>
Date: Sat, 29 Dec 2018 19:27:35 +0100

On Mon, 24 Dec 2018 22:35:18 +0100
Ricardo Wurmus <[email-masked]> wrote:

> Hi Amar,
> 
> > * Error building sources for 'guile-*' using guix build --source
> > `guix package -I guile- | cut -f1`  
> >> fatal: repository
> >> 'https://anonscm.debian.org/cgit/users/kaction-guest/retired/dev.guile-bash.git/'
> >> not found Failed to do a shallow fetch; retrying a full fetch...
> >> fatal: repository
> >> 'https://anonscm.debian.org/cgit/users/kaction-guest/retired/dev.guile-bash.git/'
> >> not found  
> >
> > Looks like there is an extra "/" at the end of the urls  
> 
> That’s fine.  The problem here is that the repository is no longer
> hosted there.  (The URL returns 404.)
> 
> Do you happen to know where the repository might now be?
> 

The software is unmaintained and this repository is gone since months.
It is available through Software Heritage Project (SWH) and there is a
reference in this thread (there are also some ideas for alternatives
in there):

https://lists.gnu.org/archive/html/help-guix/2018-12/msg00013.html

Usually the git-download method should fall back to SWH, but due to the
404-error it throughs an exception and never gets to the fallback.

I opened a bug for this:

https://debbugs.gnu.org/cgi/bugreport.cgi?bug=33911

Still I wonder why you didn't get the sources: Guix substitute servers
also serve sources (when they build the package, they save the sources),
so if you want to build this on your own, you can still do that and
download the source from a substitute-server, at least hydra has it:

substituting /gnu/store/7p7mkiqv9ah6x0x20qzpas44sdf7jqkl-guile-bash-0.1.6-0.1eabc56-checkout...
downloading from https://mirror.hydra.gnu.org/guix/nar/gzip/7p7mkiqv9ah6x0x20qzpas44sdf7jqkl-guile-bash-0.1.6-0.1eabc56-checkout...

Have you completely switched off substitutes? Or at least hydra?

Björn